SXACL-USERADD(1)

NAME
sxacl-useradd - create a new user

SYNOPSIS
sxacl useradd [OPTIONS] <username> sx://[profile@]cluster

DESCRIPTION
sxacl useradd adds a new user to a Skylable SX cluster. By default, a regular user will be created. Only cluster administrators can create new users.

OPTIONS

-h, --help
    Print help and exit

--full-help
    Print help, including hidden options, and exit

-V, --version
    Print version and exit

-t, --role=TYPE
    User type. Accepted values are "admin" and "normal" (default).

-d, --description=STRING
    Set the optional description of this user.

-q, --quota=SIZE
    Set total quota for all volumes owned by this user (allows K,M,G,T suffixes). The user will not be able to store more data than this limit across all of the volumes it owns.

-a, --auth-file=FILE
    Store authentication key in a given file (instead of printing it).

-g, --generate-key
    Automatically generate a new key based on a random data instead of a password.

-b, --batch-mode
    Disable additional information and only print the automatically generated authentication key.

--force-key=KEY
    By default, the authentication key is automatically generated for the new user. With this option one can force the use of an old key (obtained with sxacl-usergetkey(1)), when recreating the user on a new or another cluster. Only a key that was previously generated for the same username will be accepted.

-c, --config-dir=PATH
    Path to the SX configuration directory (default: ~/.sx)

-D, --debug
    Enable debug messages.

EXAMPLES
To add the user 'joe' to the cluster run:
sxacl useradd joe sx://admin@cluster

SEE ALSO
sxacl-usermod(1), sxacl-usernewkey(1), sxacl-usergetkey(1), sxacl-userlist(1), sxacl-userdel(1), sxinit(1)